Subject: bug#18733: 24.3.94; completion default with icomplete-show-matches-on-no-input t

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Dec 2020 12:00:27 +0100

[email-masked] writes:

> With `icomplete-mode' active, and `icomplete-show-matches-on-no-input'
> set to `t', invoking `switch-to-buffer' and then
> `minibuffer-force-complete-and-exit' gives confusing results; the buffer
> selected is the default specified by `read-buffer-to-switch', which is
> often _not_ the first completion displayed, which is what the user
> expects.

(This bug report unfortunately got no response at the time.)

I'm unable to reproduce this in Emacs 28 -- I think this was changed
sometime earlier this year, so I'm closing this bug report.  If this is
still an issue, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no